{% extends "base_dashboard.html" %}
{% load i18n staticfiles %}
{% load common_tags %}
{% block title %}{% blocktrans with title=top_up.investation.teaser.title %}Pembayaran isi ulang untuk "{{ title }}"{% endblocktrans %} :: {{ block.super }}{% endblock %}

{% block breadcrumb %}
  <ul class="uk-breadcrumb uk-breadcrumb-dashboard">
    <li><a class="spf-link" href="/">{% trans "Beranda" %}</a></li>
    <li><a class="spf-link" href="{% url 'user_dashboard' %}">{% trans "Dashboard" %}</a></li>
    <li><a class="spf-link" href="{% url 'investation_list' %}">{% trans "Investasiku" %}</a></li>
    <li><a class="spf-link" href="{% url 'app_plaza:investation_top_up' pk=top_up.investation.pk %}">{% trans "Isi Ulang" %}</a></li>
    <li><span>{% blocktrans with title=top_up.investation.teaser.title %}Pembayaran isi ulang untuk "{{ title }}"{% endblocktrans %}</span></li>
  </ul>
{% endblock %}

{% block content %}
  <div class="uk-card uk-card-default uk-card-hover uk-margin">
    <div class="uk-card-body">
      <h3 class="uk-card-title">
        <a href="{% url 'app_plaza:teaser_detail' slug=top_up.investation.teaser.slug %}" class="spf-link">{{ top_up.investation.teaser.title }}</a>
      </h3>
      <p>{{ top_up.investation.teaser.description|safe|striptags|truncatewords:"35" }}</p>

      <div class="uk-grid-divider uk-child-width-expand@s" uk-grid>
        <div class="left-content">
          <table class="uk-table uk-table-small">
            <tbody>
              <tr>
                <th>{% trans "Status Top Up" %}</th>
                <td>
                  {% if top_up.status == 'approved' %}
                    <span class="uk-label uk-label-success">{% trans "Lunas" %}</span>
                  {% elif top_up.status == 'rejected' %}
                    <span class="uk-label uk-label-danger">{% trans "Pembayaran Ditolak" %}</span>
                  {% else %}
                    <span class="uk-label uk-label-warning">{% trans "Belum Dibayar" %}</span>
                  {% endif %}
                </td>
              </tr>
              <tr>
                <th>{% trans "Investasi Awal" %}</th>
                <td>{{ top_up.investation.amount|as_rupiah }},-</td>
              </tr>
              <tr>
                <th>{% trans "Jumlah Top Up" %}</th>
                <td>{{ top_up.amount|as_rupiah }},-</td>
              </tr>
              <tr>
                <th>{% trans "Biaya Adm Bank" %}</th>
                <td>{{ PLAZADANA_BANK_FEE|as_rupiah }},-</td>
              </tr>
              <tr>
                <th>{% trans "Total yg harus ditransfer" %}</th>
                <td><b>{{ top_up.total_information_topup_payment|as_rupiah }},-</b></td>
              </tr>
            </tbody>
          </table>
        </div>
        <div class="right-content">
          <table class="uk-table uk-table-small">
            <tbody>
              <tr>
                <th>{% trans "Koperasi" %}</th>
                <td>{{ top_up.investation.teaser.cooperative }}</td>
              </tr>
              <tr>
                <th>{% trans "Nomor &amp; ID" %}</th>
                <td><strong>{{ top_up.investation.teaser.number }} :: {{ top_up.investation.teaser.id }}</strong></td>
              </tr>
              <tr>
                <th>{% trans "Proyeksi Imbal hasil pertahun " %}</th>
                <td><strong>{{ top_up.investation.teaser.percentage_of_return }}%</strong></td>
              </tr>
              <tr>
                <th>{% trans "Pembayaran setiap" %}</th>
                <td><strong>{{ top_up.investation.teaser.get_payment_schedule_display }}</strong></td>
              </tr>
              <tr>
                <th>{% trans "Tanggal Top Up" %}</th>
                <td>{{ top_up.created }}</td>
              </tr>
            </tbody>
          </table>
        </div>
      </div><!-- end /.ui-grid-divider -->
    </div>

    <div class="uk-card-footer">
      <form class="uk-grid-small" uk-grid method="post" action=".">{% csrf_token %}
        {% if form.non_field_errors %}
          {% if form.non_field_errors|length > 1 %}
            <ol class="uk-text-small uk-padding-small uk-margin-remove uk-text-left">
              {% for error in form.non_field_errors %}
                <li class="uk-text-warning">{{ error }}</li>
              {% endfor %}
            </ol>
          {% else %}
            <div class="uk-text-small uk-text-warning">
              {{ form.non_field_errors|first }}
            </div>
          {% endif %}
        {% endif %}

        <h4 class="uk-text-bold">{% trans "Cara Pembayaran" %}</h4>
        <div class="uk-width-1-1@s uk-alert">
          <ul class="uk-list uk-list-divider">
            <li><span class="uk-badge">1</span> {% blocktrans with url_e_transaksi='https://play.google.com/store/apps/details?id=com.app.plazadanamobilebanking' %}Pastikan anda mendownload & menginstall aplikasi E-Transaksi di HP anda. Jika belum, silahkan <a href="{{ url_e_transaksi }}">download disini.</a>{% endblocktrans %}</li>
            <li><span class="uk-badge">2</span> {% trans "Pastikan anda mentransfer dana dahulu ke no virtual account 7459 22 + nomor simpanan plazadana yg ada di E-Transaksi." %}</li>
            <li><span class="uk-badge">3</span> {% blocktrans with total_payment=top_up.total_information_topup_payment|as_rupiah %}Nominal yang harus anda transfer adalah <b>{{ total_payment }},-</b> (jumlah investasi + biaya adm bank).{% endblocktrans %}</li>
            <li><span class="uk-badge">4</span> {% trans "Masukkan Nomor Rekening Simpanan Plazadana pada E-Transaksi anda kedalam form dibawah ini." %}</li>
          </ul>
        </div>
        <div class="uk-width-1-5@s">
          <input class="uk-input" type="text" value="7459" disabled>
        </div>
        <div class="uk-width-1-6@s">
          <input class="uk-input" type="text" value="22" disabled>
        </div>
        <div class="uk-width-1-3@s">
          {{ form.virtual_account_number }}
        </div>
        <div class="uk-width-1-4@s">
          <button type="submit" class="uk-button uk-button-warning">
            <span uk-icon="check"></span> {% trans "Cek Pembayaran" %}
          </button>
        </div>
      </form>
      <ul uk-accordion>
        <li>
          <a class="uk-accordion-title uk-text-small" href="#">Klik disini jika transfer selain dari Bank Muamalat</a>
          <div class="uk-accordion-content">
            <p><span class="uk-label">147</span> + <span class="uk-label">7459</span> + <span class="uk-label">22</span> + <span class="uk-label">0002010xxxx</span></p>
          </div>
        </li>
      </ul>
    </div>
  </div>
{% endblock %}

{% block js %}
  <script>
    // active dashboard menu
    $('.list-invest-me').addClass('uk-active');
  </script>
{% endblock %}
